Bug 546166 - X server can't detect video modes on VBox/EFI
X server can't detect video modes on VBox/EFI
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-fbdev (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-10 04:24 EST by Hachiman
Modified: 2010-12-08 09:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 09:36:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of X server lunched with built-in config (7.84 KB, text/plain)
2009-12-10 04:24 EST, Hachiman
no flags Details
dmesg from VM (26.46 KB, text/plain)
2009-12-10 04:27 EST, Hachiman
no flags Details
X.log from /tmp (7.89 KB, text/plain)
2010-12-08 02:39 EST, Tomasz Torcz
no flags Details

  None (edit)
Description Hachiman 2009-12-10 04:24:55 EST
Created attachment 377412 [details]
log of X server lunched with built-in config

Description of problem:
X -server can't detect modes nor with built-in config neither X -configure, when running in VirtualBox with EFI support.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure VirtualBox machine Linux/Fedora 
2. Add FC11 live CD in media manager and link with fresh created VM 
3. Mark EFI support in VM settings
4. Launch VM 
  
Actual results:

After nice Fedore picture boot appearing (drawn with efifb help), instead of X login dialog appears black screen.  

Expected results:

Appearing Graphic Login screen.

Additional info:
Current workaround described in http://forums.virtualbox.org/viewtopic.php?f=15&t=24456
and further reading https://www.redhat.com/archives/fedora-devel-list/2009-December/msg00367.html might be helpful.
Comment 1 Hachiman 2009-12-10 04:27:29 EST
Created attachment 377413 [details]
dmesg from VM
Comment 2 Adam Jackson 2009-12-10 09:33:34 EST
This is mostly that we don't have the vboxvideo driver packaged, I believe.
Comment 3 Hachiman 2009-12-10 10:07:25 EST
(In reply to comment #2)
> This is mostly that we don't have the vboxvideo driver packaged, I believe.  

Atm, vboxvideo driver uses vgabios, but of course if vboxvideo driver has been packaged it'd simplified things.
Comment 4 Hachiman 2009-12-11 05:00:11 EST
(In reply to comment #2)
> This is mostly that we don't have the vboxvideo driver packaged, I believe.  

Adam, Could you please clarify a bit how X server fetches information on the real EFI hardware?
Comment 5 Adam Williamson 2009-12-11 14:41:56 EST
is there a reason you're testing with f11 and not something a bit newer? (12 or rawhide)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Hachiman 2009-12-12 01:22:10 EST
(In reply to comment #5)
> is there a reason you're testing with f11 and not something a bit newer? (12 or
> rawhide)

fc12 has the same issue, but EFI bits in 3.1 release have got not very good ACPI support so it bit tricky to launch fc12 in VBox/EFI. 

> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers
Comment 7 Adam Williamson 2009-12-16 18:11:25 EST
if f12 has the same issue, let's update to that release then.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2010-11-03 23:44:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 20:52:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Tomasz Torcz 2010-12-06 05:21:41 EST
Still the case.
Comment 11 Adam Williamson 2010-12-06 11:32:06 EST
i thought we have vboxvideo in now? that doesn't help?
Comment 12 Tomasz Torcz 2010-12-07 08:11:52 EST
sh-4.1# grep -i vbox /tmp/X.log
sh-4.1#

Seems not to be autoloaded.  Also I remember vboxvideo wasn't good on EFI system because it wanted to use BIOS. Which is not possible with EFI.

I'm using VirtualBox-3.2-3.2.12_68302_fedora14-1.x86_64 as EFI machine.
Comment 13 Adam Williamson 2010-12-07 11:40:40 EST
okay...can you post the whole X log and also check if xorg-x11-drv-vboxvideo package is installed (though it ought to be)? Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Tomasz Torcz 2010-12-08 02:39:09 EST
Created attachment 467398 [details]
X.log from /tmp

Nb. I do not see vboxvideo driver in /mnt/runtime/usr/lib64/xorg/modules . Shouldn't it be there?
Comment 15 Matěj Cepl 2010-12-08 09:36:49 EST
(In reply to comment #13)
> package is installed (though it ought to be)? Thanks.

No, it shouldn't be. Whole VirtualBox with all its dependencies including Xorg driver are in RPMFusion-free:

Name        : VirtualBox-OSE
Arch        : x86_64
Version     : 3.2.10
Release     : 1.fc15
Size        : 15 M
Repo        : rpmfusion-free-rawhide
Summary     : A general-purpose full virtualizer for PC hardware
URL         : http://www.virtualbox.org/wiki/VirtualBox
License     : GPLv2 or (GPLv2 and CDDL)
Popis       : A general-purpose full virtualizer and emulator for 32-bit and
            : 64-bit x86 based PC-compatible machines.

Name        : VirtualBox-OSE-guest
Arch        : x86_64
Version     : 3.2.10
Release     : 1.fc15
Size        : 936 k
Repo        : rpmfusion-free-rawhide
Summary     : VirtualBox-OSE Guest Additions
URL         : http://www.virtualbox.org/wiki/VirtualBox
License     : GPLv2 or (GPLv2 and CDDL)
Popis       : Tools that utilize kernel modules for supporting integration
            : with the Host, including file sharing and tracking of mouse
            : pointer movement and X.org X11 video and mouse driver.

Name        : kmod-VirtualBox-OSE
Arch        : x86_64
Version     : 3.2.10
Release     : 1.fc15
Size        : 5.8 k
Repo        : rpmfusion-free-rawhide
Summary     : Metapackage which tracks in VirtualBox-OSE kernel module for
            : newest kernel
URL         : http://www.virtualbox.org/wiki/VirtualBox
License     : GPLv2 or CDDL
Popis       : This is a meta-package without payload which sole purpose is to
            : require the VirtualBox-OSE kernel module(s) for the newest kernel.
            : to make sure you get it together with a new kernel.

Closing as NOTABUG (meaning, not a bug in Fedora provided packages).

Note You need to log in before you can comment on or make changes to this bug.